API to allow the integration with merchants
- Create a return and cancel the order
iF returns - Logistic API (1.4.3)
Request
Create an return over an order that never was picked up by the customer. The return will cancel the order in the ecommerce platform regardless it was fulfilled or not
Shop code which belongs the return. In case this field is not informed, it will be obtained from security context. In case it is informed, it will be validated against the security context
Internal code of the drop-off location where the customer was going to pick up the order
- Mock serverhttps://docs.ifreturns.com/_mock/apis/returns/order_cancellation_returns
- Development Serverhttps://api.dev.ifreturns.com/integration/v1/order_cancellation_returns
- Staging Serverhttps://api.stg.ifreturns.com/integration/v1/order_cancellation_returns
- Production Serverhttps://api.ifreturns.com/integration/v1/order_cancellation_returns
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://docs.ifreturns.com/_mock/apis/returns/order_cancellation_returns \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"shopCode": "marchelacolombine",
"orderName": "7848",
"customerEmail": "customer@if.com",
"customerPhone": "+34666666666",
"dropOffPointCode": "STORE-TEST-1",
"language": "es"
}'{ "statusCode": "200", "description": "Your return have been registered correctly", "return": { "id": "eaea3209-68c9-4493-9df5-415f1b52003a", "name": "R1-7848", "shopCode": "marchelacolombine" } }
Request
Create an return for those items that can not be fulfilled (e.g. out-of-stock of the item). In case all the items are reported, the ecommerce order will be cancelled
Shop code which belongs the return. In case this field is not informed, it will be obtained from security context. In case it is informed, it will be validated against the security context
- Mock serverhttps://docs.ifreturns.com/_mock/apis/returns/line_items_cancellation_returns
- Development Serverhttps://api.dev.ifreturns.com/integration/v1/line_items_cancellation_returns
- Staging Serverhttps://api.stg.ifreturns.com/integration/v1/line_items_cancellation_returns
- Production Serverhttps://api.ifreturns.com/integration/v1/line_items_cancellation_returns
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://docs.ifreturns.com/_mock/apis/returns/line_items_cancellation_returns \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"shopCode": "marchelacolombine",
"orderName": "7848",
"customerEmail": "customer@if.com",
"customerPhone": "+34666666666",
"language": "es",
"removeLineItems": [
{
"sku": "1234567"
}
]
}'{ "statusCode": "200", "description": "Your return have been registered correctly", "return": { "id": "eaea3209-68c9-4493-9df5-415f1b52003a", "name": "R1-7848", "shopCode": "marchelacolombine" } }